/* $Id: crlfmaildir.h,v 1.1 2000/05/31 17:14:17 jasper Exp $ */
/*
 *  Solid POP3 - a POP3 server
 *  Copyright (C) 1999  Jerzy Balamut <jurekb@dione.ids.pl>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _CRLFMAILDIR_H
#define _CRLFMAILDIR_H

#include "maildrop.h"

void crlf_mdir_init(void);
void crlf_mdir_update(void);
void crlf_mdir_release(void);
void crlf_mdir_retrieve(unsigned int);
void crlf_mdir_top(unsigned int, unsigned int);
char *crlf_mdir_md5_uidl_message(unsigned int, char *);
#ifdef BULLETINS
int crlf_mdir_add_message(int fd);
void crlf_mdir_end_of_adding(void);
#endif

struct crlf_mdir_message {
	char *filename;
};

#endif				/* maildir.h */
