/* $Id: sptls.h,v 1.3 2000/08/23 11:05:20 jurekb Exp $ */
/*
 *  Solid POP3 - a POP3 server
 *  Copyright (C) 1999  Jerzy Balamut <jurekb@dione.ids.pl>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* Based upon Lutz Jaenicke's TLS patches for postfix */

#ifndef _SPTLS_H
# define _SPTLS_H

void tls_done_serverengine(void);
int tls_init_serverengine(void);
void tls_stop_servertls(void);
int tls_start_servertls(int *layerbits, char *authid);
ssize_t tls_read(void *buf, size_t size, int block);
int tls_pending(void);
ssize_t tls_write(void *buf, size_t size);
void do_stls(char *arg);
void tls_enable(int stls);

#endif /* sptls.h */
