/* $Id: hashspool.h,v 1.1 2000/09/22 09:59:18 jurekb Exp $ */
/*
 *  Solid POP3 - a POP3 server
 *  Copyright (C) 1999  Jerzy Balamut <jurekb@dione.ids.pl>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _HASHSPOOL_H
# define _HASHSPOOL_H

# include "includes.h"

/* Hashing method from Qpopper */
int qpop_hash(char *what, char *result, char **act, char *where,
	size_t maxlength);

int exim_nhash(char *what, char *result, char **act, char *where,
	size_t maxlength);
	
int pjw_hash(char *what, char *result, char **act, char *where,
	size_t maxlength, int single);

#endif /* hashspool.h */
