/* $Id: sktbuff.h,v 1.7 2000/08/27 17:23:21 jurekb Exp $ */
/*
 *  Solid POP3 - a POP3 server
 *  Copyright (C) 1999  Jerzy Balamut <jurekb@dione.ids.pl>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _SKTBUFF_H
# define _SKTBUFF_H

# include "includes.h"

ssize_t skt_fgets(char *s, size_t size);
void skt_cleanup(void);

int buf_flush(void);
ssize_t skt_write(void *buf, size_t size);
# ifdef SPENCRYPTION
int open_encpipes(void);
void close_encpipes(void);
void server_encpipes(void);
void client_encpipes(void);
ssize_t enc_write(void *buf, size_t size);
ssize_t enc_read(void *buf, size_t size, int block);
int dec_pending(void);
void encryption_server(void);
#  ifdef SPSASL
void enc_cleanup(void);
#  endif
# else
#  define skt_read read
# endif
#endif /* sktbuff.h */
