/* $Id: spsasl.h,v 1.5 2000/08/23 11:05:20 jurekb Exp $ */
/*
 *  Solid POP3 - a POP3 server
 *  Copyright (C) 1999  Jerzy Balamut <jurekb@dione.ids.pl>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _SPSASL_H
# define _SPSASL_H

void do_auth(char *arg);
int sasl_authenticate(void);
void init_sasl(void);
void new_connection_sasl(void);
void dispose_sasl(void);
void done_sasl(void);
void setprops_sasl(void);
void set_secprops(char *authid, int ssf);

void sasl_pipe(void);
void sasl_close_pipe(void);
void sasl_client_pipe(void);
void sasl_server_pipe(void);

int sasl_authenticate(void);
#endif /* spsasl.h */
